%define module_version 0.16.5
%define module_name PGXN-API
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Zip.pm) perl(Cwd.pm) perl(Data/Dump.pm) perl(Digest/SHA1.pm) perl(Email/MIME/Creator.pm) perl(Email/Sender/Simple.pm) perl(Encode.pm) perl(File/Copy/Recursive.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(HTTP/Request/Common.pm) perl(JSON.pm) perl(JSON/XS.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(Lucy.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/Singleton.pm) perl(PGXN/API/Searcher.pm) perl(Plack.pm) perl(Plack/App/Directory.pm) perl(Plack/App/File.pm) perl(Plack/Builder.pm) perl(Plack/Middleware/JSONP.pm) perl(Pod/Usage.pm) perl(Software/License.pm) perl(Test/Exception.pm) perl(Test/File.pm) perl(Test/File/Contents.pm) perl(Test/MockModule.pm) perl(Test/More.pm) perl(Test/Output.pm) perl(Text/Markup.pm) perl(Try/Tiny.pm) perl(URI/Template.pm)
BuildRequires: perl(XML/LibXML.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.16.5
Release: alt1
Summary: Maintain and serve a REST API to search PGXN mirrors
Group: Development/Perl
License: open_source
URL: http://api.pgxn.org/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DW/DWHEELER/%{module_name}-v%{module_version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-v%{module_version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes t/root/dist/pair/0.1.1/README.txt README.md
%perl_vendor_privlib/P*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Wed Jul 06 2016 Igor Vlasenko <viy@altlinux.ru> 0.16.5-alt1
- regenerated from template by package builder

* Thu Jun 16 2016 Igor Vlasenko <viy@altlinux.ru> 0.16.4-alt1
- regenerated from template by package builder

* Tue May 13 2014 Igor Vlasenko <viy@altlinux.ru> 0.16.3-alt1
- initial import by package builder

